# Constant Field Values

## Contents

- com.logicaldoc.*

## com.logicaldoc.*

com.logicaldoc.core.PersistentObject
Modifier and Type
Constant Field
Value
`public static final int`
`DELETED_CODE_DEFAULT`
`1`
`public static final int`
`DELETED_CODE_STRONG`
`2`
com.logicaldoc.core.PersistentObjectDAO<T>
Modifier and Type
Constant Field
Value
`public static final String`
`ENTITY`
`"_entity"`

com.logicaldoc.core.automation.Automation
Modifier and Type
Constant Field
Value
`public static final String`
`CONTEXT`
`"context"`
`public static final String`
`CURRENT_DATE`
`"CURRENT_DATE"`
`public static final String`
`DICTIONARY`
`"dictionary"`
`public static final String`
`KEYS`
`"keys"`
`public static final String`
`LOCALE`
`"locale"`
`public static final String`
`PARAMETERS`
`"parameters"`
`public static final String`
`PARAMETERS_NAMES`
`"parametersnames"`
`public static final String`
`PRODUCT`
`"product"`
`public static final String`
`SERVER_URL`
`"serverUrl"`
`public static final String`
`SYSTEM_DICTIONARY`
`"systemDictionary"`
`public static final String`
`TENANT_ID`
`"tenantId"`

com.logicaldoc.core.communication.EMailSender
Modifier and Type
Constant Field
Value
`public static final int`
`FOLDERING_DAY`
`3`
`public static final int`
`FOLDERING_MONTH`
`2`
`public static final int`
`FOLDERING_NONE`
`0`
`public static final int`
`FOLDERING_YEAR`
`1`
`public static final String`
`PROTOCOL_SMTP`
`"smtp"`
`public static final String`
`PROTOCOL_SMTP_MICROSOFT365`
`"smtpmicrosoft365"`
`public static final int`
`SECURITY_NONE`
`0`
`public static final int`
`SECURITY_SSL`
`3`
`public static final int`
`SECURITY_STARTTLS`
`1`
`public static final int`
`SECURITY_TLS`
`2`
com.logicaldoc.core.communication.MailUtil
Modifier and Type
Constant Field
Value
`public static final String`
`NO_BODY`
`"(Message without body)"`
`public static final String`
`NO_SUBJECT`
`"(Message without subject)"`
com.logicaldoc.core.communication.Message
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_NOTIFICATION`
`1`
`public static final int`
`TYPE_SYSTEM`
`0`
com.logicaldoc.core.communication.MessageTemplate
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_SYSTEM`
`"system"`
`public static final String`
`TYPE_USER`
`"user"`
com.logicaldoc.core.communication.Recipient
Modifier and Type
Constant Field
Value
`public static final String`
`MODE_EMAIL_BCC`
`"BCC"`
`public static final String`
`MODE_EMAIL_CC`
`"CC"`
`public static final String`
`MODE_EMAIL_REPLYTO`
`"REPLYTO"`
`public static final String`
`MODE_EMAIL_TO`
`"TO"`
`public static final int`
`TYPE_EMAIL`
`1`
`public static final int`
`TYPE_SYSTEM`
`0`
com.logicaldoc.core.communication.SystemMessage
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_DELIVERED`
`1`
`public static final int`
`STATUS_ERROR`
`2`
`public static final int`
`STATUS_NEW`
`0`

com.logicaldoc.core.dashlet.Dashlet
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_BOOKMARK`
`"bookmark"`
`public static final String`
`TYPE_CONTENT`
`"content"`
`public static final String`
`TYPE_DOCEVENT`
`"docevent"`
`public static final String`
`TYPE_DOCUMENT`
`"document"`
`public static final String`
`TYPE_NOTE`
`"note"`

com.logicaldoc.core.document.AbstractDocument
Modifier and Type
Constant Field
Value
`public static final int`
`EXPORT_LOCKED`
`1`
`public static final int`
`EXPORT_UNLOCKED`
`0`
`public static final int`
`NATURE_DOC`
`0`
com.logicaldoc.core.document.Bookmark
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_DOCUMENT`
`0`
`public static final int`
`TYPE_FOLDER`
`1`
com.logicaldoc.core.document.DigestProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"DigestProcessor"`
com.logicaldoc.core.document.DocumentNote
Modifier and Type
Constant Field
Value
`public static final String`
`SHAPE_ARROW`
`"arrow"`
`public static final String`
`SHAPE_CIRCLE`
`"circle"`
`public static final String`
`SHAPE_COMMENT`
`"comment"`
`public static final String`
`SHAPE_LABEL`
`"label"`
`public static final String`
`SHAPE_LINE`
`"line"`
`public static final String`
`SHAPE_SQUARE`
`"square"`
`public static final String`
`SHAPE_THICKARROW`
`"thickarrow"`
com.logicaldoc.core.document.TagsProcessor
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"TagsProcessor"`

com.logicaldoc.core.document.thumbnail.ThumbnailManager
Modifier and Type
Constant Field
Value
`public static final String`
`THUMB`
`"thumb"`

com.logicaldoc.core.folder.Folder
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULTWORKSPACEID`
`4L`
`public static final String`
`DEFAULTWORKSPACENAME`
`"Default"`
`public static final long`
`ROOTID`
`5L`
`public static final int`
`TYPE_ALIAS`
`2`
`public static final int`
`TYPE_DEFAULT`
`0`
`public static final int`
`TYPE_WORKSPACE`
`1`
com.logicaldoc.core.folder.PathCalculator
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"PathCalculator"`

com.logicaldoc.core.job.JobManager
Modifier and Type
Constant Field
Value
`public static final String`
`JOB`
`"job"`
`public static final String`
`MISSFIRE_IGNORE`
`"ignore"`
`public static final String`
`MISSFIRE_RUNNOW`
`"runnow"`
`public static final String`
`TENANT_ID`
`"tenantId"`

com.logicaldoc.core.metadata.AbstractAttributeSet
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_DEFAULT`
`0`
com.logicaldoc.core.metadata.Attribute
Modifier and Type
Constant Field
Value
`public static final int`
`EDITOR_DEFAULT`
`0`
`public static final int`
`EDITOR_LISTBOX`
`1`
`public static final int`
`TYPE_BOOLEAN`
`5`
`public static final int`
`TYPE_DATE`
`3`
`public static final int`
`TYPE_DOCUMENT`
`7`
`public static final int`
`TYPE_DOUBLE`
`2`
`public static final int`
`TYPE_FOLDER`
`6`
`public static final int`
`TYPE_INT`
`1`
`public static final int`
`TYPE_SECTION`
`8`
`public static final int`
`TYPE_STRING`
`0`
`public static final int`
`TYPE_USER`
`4`

com.logicaldoc.core.searchengine.IndexOptimizer
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"IndexOptimizer"`
com.logicaldoc.core.searchengine.SearchOptions
Modifier and Type
Constant Field
Value
`public static final int`
`TYPE_FOLDERS`
`3`
`public static final int`
`TYPE_FULLTEXT`
`0`
`public static final int`
`TYPE_PARAMETRIC`
`2`
`public static final int`
`TYPE_SEMANTIC`
`4`
`public static final int`
`TYPE_TAG`
`1`

com.logicaldoc.core.searchengine.folder.FolderCriterion
Modifier and Type
Constant Field
Value
`public static final String`
`OPERATOR_BEGINSWITH`
`"beginswith"`
`public static final String`
`OPERATOR_CONTAINS`
`"contains"`
`public static final String`
`OPERATOR_ENDSWITH`
`"endswith"`
`public static final String`
`OPERATOR_EQUALS`
`"equals"`
`public static final String`
`OPERATOR_GREATER`
`"greaterthan"`
`public static final String`
`OPERATOR_IN`
`"in"`
`public static final String`
`OPERATOR_INORSUBFOLDERS`
`"inorsubfolders"`
`public static final String`
`OPERATOR_LESSER`
`"lessthan"`
`public static final String`
`OPERATOR_NOTCONTAINS`
`"notcontains"`
`public static final String`
`OPERATOR_NOTEQUAL`
`"notequal"`
`public static final String`
`OPERATOR_NOTNULL`
`"notnull"`
`public static final String`
`OPERATOR_NULL`
`"null"`
`public static final int`
`TYPE_FOLDER`
`101`
`public static final int`
`TYPE_LANGUAGE`
`100`
`public static final int`
`TYPE_TEMPLATE`
`102`

com.logicaldoc.core.searchengine.indexer.IndexerTask
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"IndexerTask"`

com.logicaldoc.core.security.Device
Modifier and Type
Constant Field
Value
`public static final String`
`PARAM_DEVICE`
`"device"`
com.logicaldoc.core.security.LoginThrottle
Modifier and Type
Constant Field
Value
`public static final String`
`LOGINFAIL_APIKEY`
`"loginfail-apikey-"`
`public static final String`
`LOGINFAIL_IP`
`"loginfail-ip-"`
`public static final String`
`LOGINFAIL_USERNAME`
`"loginfail-username-"`
com.logicaldoc.core.security.SessionManager
Modifier and Type
Constant Field
Value
`public static final String`
`COOKIE_SID`
`"ldoc-sid"`
`public static final String`
`HEADER_APIKEY`
`"X-API-KEY"`
`public static final String`
`PARAM_SID`
`"sid"`
com.logicaldoc.core.security.Tenant
Modifier and Type
Constant Field
Value
`public static final long`
`DEFAULT_ID`
`1L`
`public static final String`
`DEFAULT_NAME`
`"default"`
`public static final int`
`DEFAULT_TYPE`
`0`
`public static final long`
`SYSTEM_ID`
`-1L`
`public static final String`
`SYSTEM_NAME`
`"system"`

com.logicaldoc.core.security.authentication.AccountDisabledException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"disabled"`
com.logicaldoc.core.security.authentication.AccountNotFoundException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"notfound"`
com.logicaldoc.core.security.authentication.AccountTypeNotAllowedException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"accounttypenotallowed"`
com.logicaldoc.core.security.authentication.OutsideWorkingTimeException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"outsideworkingtime"`
com.logicaldoc.core.security.authentication.PasswordExpiredException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"passwordexpired"`
com.logicaldoc.core.security.authentication.WrongPasswordException
Modifier and Type
Constant Field
Value
`public static final String`
`CODE`
`"wrongpassword"`

com.logicaldoc.core.security.menu.Menu
Modifier and Type
Constant Field
Value
`public static final long`
`ACCOUNT`
`40L`
`public static final long`
`ADMIN_SESSIONS`
`71L`
`public static final long`
`ADMINISTRATION`
`2L`
`public static final long`
`ALIASES`
`1605L`
`public static final long`
`AUDITING`
`106L`
`public static final long`
`CHAT`
`1527L`
`public static final long`
`CONTACTS`
`1530L`
`public static final long`
`CUSTOM_ACTIONS`
`1300L`
`public static final long`
`DASHBOARD`
`1520L`
`public static final long`
`DESTROY_DOCUMENTS`
`-9L`
`public static final long`
`DOCUMENTS`
`1500L`
`public static final long`
`FRONTEND`
`5L`
`public static final long`
`INTERFACE_DENSITY`
`1535L`
`public static final long`
`LOGS`
`72L`
`public static final long`
`MAINMENU`
`110L`
`public static final long`
`MESSAGES`
`1525L`
`public static final long`
`PARAMETERS`
`100L`
`public static final long`
`PREVIEW`
`1609L`
`public static final long`
`RATING`
`1610L`
`public static final long`
`ROOT`
`1L`
`public static final long`
`SEARCH`
`1510L`
`public static final long`
`SECURITY`
`9L`
`public static final long`
`SESSIONS`
`1601L`
`public static final long`
`SETTINGS`
`7L`
`public static final long`
`SUBSCRIPTIONS`
`-1120L`
`public static final long`
`TOOLS`
`16L`
`public static final int`
`TYPE_CUSTOM_ACTION`
`2`
`public static final int`
`TYPE_DEFAULT`
`1`
`public static final long`
`VERSIONS`
`1603L`

com.logicaldoc.core.security.spring.LDAuthenticationToken
Modifier and Type
Constant Field
Value
`public static final String`
`COOKIE_SID`
`"ldoc-sid"`
`public static final String`
`PARAM_SID`
`"sid"`

com.logicaldoc.core.security.user.Group
Modifier and Type
Constant Field
Value
`public static final String`
`GROUP_ADMIN`
`"admin"`
`public static final long`
`GROUPID_ADMIN`
`1L`
`public static final long`
`GROUPID_PUBLISHER`
`-10000L`
com.logicaldoc.core.security.user.User
Modifier and Type
Constant Field
Value
`public static final long`
`USERID_ADMIN`
`1L`
`public static final long`
`USERID_SYSTEM`
`-1010L`

com.logicaldoc.core.stats.StatsCollector
Modifier and Type
Constant Field
Value
`public static final String`
`NAME`
`"StatsCollector"`
`public static final String`
`STAT`
`"stat"`

com.logicaldoc.core.store.StoreResource
Modifier and Type
Constant Field
Value
`public static final String`
`SUFFIX_MOBILE_THUMBNAIL`
`"mobile.png"`
`public static final String`
`SUFFIX_PDF_CONVERSION`
`"conversion.pdf"`
`public static final String`
`SUFFIX_THUMBNAIL`
`"thumb.png"`
`public static final String`
`SUFFIX_TILE`
`"tile.png"`

com.logicaldoc.core.task.Task
Modifier and Type
Constant Field
Value
`public static final int`
`STATUS_IDLE`
`0`
`public static final int`
`STATUS_RUNNING`
`1`
`public static final int`
`STATUS_STOPPING`
`2`
com.logicaldoc.core.task.TaskTrigger
Modifier and Type
Constant Field
Value
`public static final String`
`MODE_CRON`
`"cron"`
`public static final String`
`MODE_SIMPLE`
`"simple"`

com.logicaldoc.core.ticket.Ticket
Modifier and Type
Constant Field
Value
`public static final int`
`DOWNLOAD`
`0`
`public static final int`
`PSW_RECOVERY`
`1`
`public static final int`
`VIEW`
`2`